<?php
/**
 *    This file is part of OXID eShop Community Edition.
 *
 *    OXID eShop Community Edition is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    OXID eShop Community Edition is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with OXID eShop Community Edition.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @link      http://www.oxid-esales.com
 * @package   main
 * @copyright (C) OXID eSales AG 2003-2011
 * @version OXID eShop CE
 * @version   SVN: $Id: theme.php 25466 2010-02-01 14:12:07Z alfonsas $
 */

/**
 * Module information
 */
$aModule = array(
    'id'           => 'trosofortueberweisung',
    'title'        => 'Sofortüberweisung Classic by tronet',
    'description'  => 'Sofortüberweisung Classic by tronet',
    'description'  => array(
        'de' => 'Sofortüberweisung Classic by tronet',
        'en' => 'Sofortüberweisung Classic by tronet',
    ),
	
    'thumbnail'    => 'logo_200x75.png',
    'version'      => '4.7.0',
    'author'       => 'tronet',
    'email'        => 'integration@sofort.com',
    'url'          => 'http://www.tro.net',
    'blocks' => array(
        array('template' => 'widget/sidebar/partners.tpl', 'block' => 'partner_logos',  'file' => 'partnerbox.tpl'),
        array('template' => 'page/checkout/payment.tpl',   'block' => 'select_payment', 'file' => 'paymentSelector.tpl'),
    ),
    'files' => array(
        'trosofortueberweisung'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung.php',
        'trosofortueberweisung_calls'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung_calls.php',
        'trosofortueberweisung_export'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung_export.php',
        'trosofortueberweisung_help'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung_help.php',
        'trosofortueberweisung_list'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung_list.php',
        'trosofortueberweisung_log'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung_log.php',
        'trosofortueberweisung_main'  => 'trosofortueberweisung/application/controllers/admin/trosofortueberweisung_main.php',
        'trosofortueberweisung_logging'  => 'trosofortueberweisung/application/controllers/trosofortueberweisung_logging.php',
        'trosuevents'                    => 'trosofortueberweisung/core/trosuevents.php',
	),	
    'templates' => array(
        'trosofortueberweisung.tpl'        => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung.tpl',
        'trosofortueberweisung_calls.tpl'  => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung_calls.tpl',
        'trosofortueberweisung_export.tpl' => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung_export.tpl',
        'trosofortueberweisung_help.tpl'   => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung_help.tpl',
        'trosofortueberweisung_list.tpl'   => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung_list.tpl',
        'trosofortueberweisung_log.tpl'    => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung_log.tpl',
        'trosofortueberweisung_main.tpl'   => 'trosofortueberweisung/application/views/admin/tpl/trosofortueberweisung_main.tpl',
    ),
    'events'       => array(
        'onActivate'   => 'trosuevents::onActivate',
        'onDeactivate' => 'trosuevents::onDeactivate'
    ),
    'extend'      => array(
        'oxorder' => 'trosofortueberweisung/application/models/trosuoxorder',
        'order'   => 'trosofortueberweisung/application/controllers/trosuorder'
    )
);